<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Promises Example</title>
</head>

<script>
  window.controllable = function (value) {
    let resolver;
    let rejecter;

    const promise = new Promise((resolve, reject) => {
      resolver = () => resolve(value);
      rejecter = () => reject(value);
    });

    return {
      promise,
      resolve: resolver,
      reject: rejecter,
    };
  };
</script>

<body>
  <h1>Use window.controllable(value)!</h1>
</body>

</html>
